mountain lion os x requirements

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • Answer

    Mountain Lion requirements:

    supportDOTappleDOTcom/en-ca/HT202575

    (replace each "DOT" with ".")